<?php

namespace xenarabia\BFEF;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;


use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;
class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1()
	{
		$this->schemaManager()->alterTable('xf_forum', function(Alter $table)
		{
			$table->addColumn('xena_forum_btn', 'varchar', 255)->setDefault("");
			$table->addColumn('xena_forum_title', 'varchar', 255)->setDefault("");
		});
	}



	
	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->alterTable('xf_thread', function(Alter $table)
		{
			$table->dropColumns('xena_forum_btn', 'varchar');
			$table->dropColumns('xena_forum_title', 'varchar');
		});
	}
}